# Glowers Club Element Patches

This contains everything used to patch Glowers Club's Element instance. This patch does the following:

- Changes messages you send starting with ">" to be chan-style greentext instead of Reddit-style block quotes
- Adds custom login background (replace lake.jpg with any background you want)
- Adds custom text reactions in the emoji menu (at the bottom of the "Smileys & People" section). Change emoji.json to have any custom reactions you want.
- Modifies the CSS for the emoji picker so the text reactions don't overflow to other emoji
- Contains a fix for a bug when compiling that Element devs added and never fixed. See [this Github issue](https://github.com/vector-im/element-web/issues/16555)
- Replaces the default config.json with the one here

## Dependencies
1. Everything already needed to build Element Web
2. jq
3. patch

## Instructions
1. `git clone https://github.com/vector-im/element-web.git`
2. `cd element-web`
3. `git clone https://code.glowers.club/q/element-web-patches.git`
4. `yarn`
5. `cd element-web-patches`
6. `bash ./code_patches.sh`
7. `cd .. && yarn dist`
